Subject: Re: linux-next: build warnings after merge of the broadcom tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 5 Oct 2022 11:48:41 +1100

Hi all,

On Wed, 31 Aug 2022 09:16:54 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> On Mon, 15 Aug 2022 10:54:19 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Mon, 25 Jul 2022 12:33:48 +0200 Rafał Miłecki <[email-masked]> wrote:  
> > >
> > > On 25.07.2022 01:59, Stephen Rothwell wrote:    
> > > > After merging the broadcom tree, today's linux-next build (arm
> > > > multi_v7_defconfig) produced these warnings:
> > > > 
> > > > arch/arm/boot/dts/bcm5301x.dtsi:240.21-246.5: Warning (pci_bridge): /axi@18000000/pcie@12000: missing ranges for PCI bridge (or not a bridge)
> > > > arch/arm/boot/dts/bcm5301x.dtsi:248.21-254.5: Warning (pci_bridge): /axi@18000000/pcie@13000: missing ranges for PCI bridge (or not a bridge)
> > > > arch/arm/boot/dts/bcm5301x.dtsi:256.21-262.5: Warning (pci_bridge): /axi@18000000/pcie@14000: missing ranges for PCI bridge (or not a bridge)      
> > > 
> > > This is expected. My commit ef126d3f58d25 ("ARM: dts: BCM5301X: Add
> > > basic PCI controller properties") reduced following warnings:
> > > 
> > > arch/arm/boot/dts/bcm47081-buffalo-wzr-600dhp2.dtb: pcie@12000: 'device_type' is a required property
> > >          From schema: /lib/python3.9/site-packages/dtschema/schemas/pci/pci-bus.yaml
> > > arch/arm/boot/dts/bcm47081-buffalo-wzr-600dhp2.dtb: pcie@12000: 'ranges' is a required property
> > >          From schema: /lib/python3.9/site-packages/dtschema/schemas/pci/pci-bus.yaml
> > > arch/arm/boot/dts/bcm47081-buffalo-wzr-600dhp2.dtb: pcie@12000: '#address-cells' is a required property
> > >          From schema: /lib/python3.9/site-packages/dtschema/schemas/pci/pci-bus.yaml
> > > arch/arm/boot/dts/bcm47081-buffalo-wzr-600dhp2.dtb: pcie@12000: '#size-cells' is a required property
> > >          From schema: /lib/python3.9/site-packages/dtschema/schemas/pci/pci-bus.yaml
> > > 
> > > 
> > > down to this one:
> > > 
> > > arch/arm/boot/dts/bcm47081-buffalo-wzr-600dhp2.dtb: pcie@12000: 'ranges' is a required property
> > >          From schema: /lib/python3.9/site-packages/dtschema/schemas/pci/pci-bus.yaml
> > > 
> > > 
> > > and basically does the right thing (adds required properties).
> > > 
> > > 
> > > I'm fully aware "ranges" need to be added (it's mentioned in the commit)
> > > and it's one of next things on my BCM5301X list.
> > > 
> > > So while my commits triggers that problem it also reduces warnings so
> > > I'd say it's acceptable.  
> 
> Not from my point of view:  I was not getting any warnings and now I am
> getting 254 lines of warnings :-(
>   
> > So, is something being done about these introduced warnings?  
> 
> I am still seeing these warnings.
> 
> The above commit is now
> 
>   61dc1e3850a6 ("ARM: dts: BCM5301X: Add basic PCI controller properties")

Has any progress been made with this?  This commit is now in the
arm-soc tree.

-- 
Cheers,
Stephen Rothwell